import java.util.LinkedList;
import java.util.Queue;

public class Player {
    // Attribute für die x- und y-Koordinaten
    private int id;
    private int trailLength = 30;
    Queue<int[]> trail = new LinkedList<>();

    // Konstruktor zur Initialisierung der Koordinaten
    public Player(int id) {
        this.id = id;
    }


    //fügt 2 Koordinaten zum Trail hinzu und verhindert, dass dieser zulang wird
    public void addToTrail(int x, int y){
        this.trail.add(new int[]{x, y});

        if(trail.size() > trailLength){
            trail.poll();
        }

    }
    
    public Queue<int[]> getTrail(){
        return trail;
    }


    //gibt aktuelle Position aus
    public void printPosition() {
        System.out.println("Player Position: (" + x + ", " + y + ")");
    }
}


